Bug 25633 - CSS3 Multi-column - image spans two columns
: CSS3 Multi-column - image spans two columns
Status: NEW
Product: WebKit
Classification: Unclassified
Component: New Bugs
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To: Nobody
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-07 17:21 PDT by upekshapriya
Modified: 2013-08-14 13:14 PDT (History)
3 users (show)

See Also:


Attachments
Html and css files to demonstrate the issue (2.03 KB, application/x-zip-compressed)
2009-05-07 17:22 PDT, upekshapriya
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description upekshapriya 2009-05-07 17:21:12 PDT
An image that spans two columns is created by the multicolumn css3 selector -webkit-column-count - the image is cut off at the bottom of column 1 and continues from where it is cut off at the top of column 2 with text wrapped round the image. 

I would expect the first column to finish after the image and make two unequal columns.

The browser Google Chrome has user agent details: mozilla/5.0 (windows; u; windows nt 5.1; en-us) applewebkit/530.5 (khtml, like gecko) chrome/2.0.172.8 safari/530.5. The same happens in SRWare Iron - mozilla/5.0 (windows; u; windows nt 5.1; en-us) applewebkit/530.1 (khtml, like gecko) iron/2.0.168.0 safari/530.1. and in Safari 3 on Windows mozilla/5.0 (windows; u; windows nt 5.1; en-us) applewebkit/525.28 (khtml, like gecko) version/3.2.2 safari/525.28.1 as well as Safari 4 on Mac OS mozilla/5.0 (macintosh; u; intel mac os x 10_5_6; en-us) applewebkit/528.16 (khtml, like gecko) version/4.0 safari/528.16.

I am attaching a  reduced html and css file to demonstrate the problem.
Comment 1 upekshapriya 2009-05-07 17:22:23 PDT
Created attachment 30118 [details]
Html and css files to demonstrate the issue
Comment 2 Gustaaf Groenendaal (MysteryQuest) 2009-06-17 03:53:35 PDT
Confirmed issue on all platforms. It's a bug in the CSS renderer and is not platform specific.
Comment 3 Justin Cormack 2010-06-16 04:39:16 PDT
This has been fixed now. (tested on Safari 5, Safari nightly 15 June 2010 5.0 6533.16, r61173, Chrome).
Comment 4 Scott Johnson 2013-08-14 13:12:27 PDT
(In reply to comment #3)
> This has been fixed now. (tested on Safari 5, Safari nightly 15 June 2010 5.0 6533.16, r61173, Chrome).

I'm not sure this is entirely true - the following test case, with Chrome 28.0.1500.95 on Windows exhibits this problem:

http://people.mozilla.org/~sjohnson/junkyard/b700367/vertical-clip.html
Comment 5 Scott Johnson 2013-08-14 13:14:11 PDT
(In reply to comment #4)
> (In reply to comment #3)
> > This has been fixed now. (tested on Safari 5, Safari nightly 15 June 2010 5.0 6533.16, r61173, Chrome).
> 
> I'm not sure this is entirely true - the following test case, with Chrome 28.0.1500.95 on Windows exhibits this problem:
> 
> http://people.mozilla.org/~sjohnson/junkyard/b700367/vertical-clip.html

Chromium v 28.0.1500.71 on Ubuntu 12.10 also seems to exhibit the issue, as does Safari v5.1.1 on Windows 7.